Package com.opensymphony.module.sitemesh

# Interface PageParserSelector

All Known Implementing Classes:
  `BaseFactory`, `DefaultFactory`, `Factory`

public interface PageParserSelector

Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`PageParser`
`getPageParser(String contentType)`
Create a PageParser suitable for the given content-type.
`boolean`
`shouldParsePage(String contentType)`
Determine whether a Page of given content-type should be parsed or not.

## Method Details

### shouldParsePage

boolean shouldParsePage(String contentType)
Determine whether a Page of given content-type should be parsed or not.

### getPageParser

PageParser getPageParser(String contentType)
Create a PageParser suitable for the given content-type.

For example, if the supplied parameter is `text/html` a parser shall be returned that can parse HTML accordingly.

Never returns null.

Parameters:
  `contentType` - The MIME content-type of the data to be parsed
Returns:
  Appropriate `PageParser` for reading data